Package net.sf.saxon.functions

## Class MathFunctionSet

- java.lang.Object
- - net.sf.saxon.functions.registry.BuiltInFunctionSet
  - - net.sf.saxon.functions.MathFunctionSet

- All Implemented Interfaces:
    `FunctionLibrary`

      public class MathFunctionSet
      extends BuiltInFunctionSet

  Abstract class providing functionality common to functions math:sin(), math:cos(), math:sqrt() etc; contains the concrete implementations of these functions as inner subclasses

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `MathFunctionSet.AcosFn` | Implement math:acos
    `static class` | `MathFunctionSet.AsinFn` | Implement math:asin
    `static class` | `MathFunctionSet.Atan2Fn` | Implement math:atan2
    `static class` | `MathFunctionSet.AtanFn` | Implement math:atan
    `static class` | `MathFunctionSet.CosFn` | Implement math:cos
    `static class` | `MathFunctionSet.Exp10Fn` | Implement math:exp10
    `static class` | `MathFunctionSet.ExpFn` | Implement math:exp
    `static class` | `MathFunctionSet.Log10Fn` | Implement math:log10
    `static class` | `MathFunctionSet.LogFn` | Implement math:log
    `static class` | `MathFunctionSet.PiFn` | Implement math:pi
    `static class` | `MathFunctionSet.PowFn` | Implement math:pow
    `static class` | `MathFunctionSet.SinFn` | Implement math:sin
    `static class` | `MathFunctionSet.SqrtFn` | Implement math:sqrt
    `static class` | `MathFunctionSet.TanFn` | Implement math:tan

    - ### Nested classes/interfaces inherited from class net.sf.saxon.functions.registry.BuiltInFunctionSet

      `BuiltInFunctionSet.Entry`

  - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.functions.registry.BuiltInFunctionSet

      `ABS, AS_ARG0, AS_PRIM_ARG0, BASE, CARD0, CDOC, CITEM, DCOLL, DEPENDS_ON_STATIC_CONTEXT, DLANG, EMPTY, FILTER, FOCUS, INS, LAST, LATE, NAV, NEW, NS, ONE, OPT, PLUS, POSN, SIDE, STAR, TRA, UO`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getConventionalPrefix()` | Return a conventional prefix for use with this namespace, typically the prefix used in the documentation of these functions.
    `static MathFunctionSet` | `getInstance()` |
    `java.lang.String` | `getNamespace()` | Return the namespace URI for the functions local to this function set.

    - ### Methods inherited from class net.sf.saxon.functions.registry.BuiltInFunctionSet

      `bind, copy, getFunctionDetails, getFunctionItem, importFunctionSet, isAvailable, makeFunction, register, registerReducedArityVariants`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.functions.FunctionLibrary

      `setConfiguration`

- - ### Method Detail

    - #### getInstance

          public static MathFunctionSet getInstance()

    - #### getNamespace

          public java.lang.String getNamespace()

      Description copied from class: `BuiltInFunctionSet`
      Return the namespace URI for the functions local to this function set.
      Overrides:
        `getNamespace` in class `BuiltInFunctionSet`
      Returns:
        the namespace URI of the functions local to this function set. Note that functions imported from another function set may have a different namespace URI.

    - #### getConventionalPrefix

          public java.lang.String getConventionalPrefix()

      Description copied from class: `BuiltInFunctionSet`
      Return a conventional prefix for use with this namespace, typically the prefix used in the documentation of these functions.
      Overrides:
        `getConventionalPrefix` in class `BuiltInFunctionSet`